Overview

I.S. Manager

Overview

I.S. Manager allows you to enter all information relating to your purchases, repairs, upgrades and retirements of all computers, computer components, computer peripherals, and software. Costs are captured, so information is available for your accountant and insurance carrier.

The information is presented in a "Tree-View" control, as shown on the left side of the screen below, listing the workstation and computers attached thereto.

The control can be expanded by clicking any + sign, and contracted by clicking any - sign.(you can also press Enter or tap the Spacebar). The screen can be resized by dragging the bar to the right of the treeview.

When expanded, folders containing Components, Peripherals and Software will be revealed if they exist for the selected Computer.

When the "Tree-View" is navigated by the arrow-key or by clicking on an item, the right screen will change to the appropriate Computer Data, Component, Peripheral or Software data screen.

Computer ID numbers are automatically incremented by the system. The same is true of Component, Peripheral and Software Tags. We recommend the following ID and Tag structure: Computer ID - CPU001, Components - C0001, Peripherals - P0001, Software - S0001.


Computers

Computer Data

Data entry for each computer is self-explanatory. The "Function" entry has the following choices"

Stand Alone

Workstation

File Server

Print Server

Application Server

Communications Server

Other

The "Status" field has the following choices"

OKAY - In Use

OKAY - Not Used

Needs Service

Use for Parts

Obsolete

Retired

Choices include New, Edit and Repair .


Repair Data Files

Repairs

The Repairs data screen accepts entries for additional cost, and date of the repair. Also, the notes section of the Computer, Component or Peripheral is annotated with the "***UPGRADE****" and the Date, then allows for user input with any notes.


Components

Components

A Component is a part of the computer contained within the case. On may computers, these parts aare never changed, but there are many cases where memory, hard disks, video cards, Network Interface cards etc, are added, removed and upgrades as part of the normal evolution of computer upgrades. To have complete cost entries, these items must be entered. The entry for normal recordkeeping is optional.

Options include Repair and Move with Costs

Entry fields will vary based on the type of Component. A list of available components follows.

2nd Parallel Port

CD-ROM

CD-RW Drive

Case

DVD Drive

Floppy Drive

Hard Disk

Internal Modem

Modem

Memory (RAM)

Multiport Card

Network Card

SCSI Card

Sound Card

Tape Drive

Video Card


Upgrade

Move Component with Costs

This screen allows for the entry of a new Computer ID to transfer a Component and any costs it may have.


Peripherals

Peripherals

A Peripheral is a device extenal from the case. This would include a Monitor or mouse or Printer. A complete list follow at the bottom of this page.

Options include Repair.

Entry fields will vary based on the type of Peripheral. A list of available Peripherals follows.

Camera

External Drive

External Modem

Hub/Switch

Keyboard

Monitor

Mouse

Printer

Router/Mux

Scanner

Speakers

Time Card

UPC - Battery


Software

Software

The Software input screen acepts input as shown. Note that the Computer ID is optional, allowing for unassigned Software.

Options include New, Edit, Delete and Upgrade.>


Upgrade

Software Upgrade

The Software Upgrade data screen accepts entries for additional cost, and date upgraded. Also, the notes section of the Software is annotated with the "***UPGRADE****" and the Date, then allows for user input with any notes.


Reindex

Index Files

The option to re-index data files if found on the Files menu.

As the screen indicates, you may select one or all files. You may also select to Pack Files (Permanently delete Deleted items), but all other users must be out of the system for this option to function.


Repair Data Files

Repair Data Files

The option to Repair Data Files is found on the Files menu. This will repair files damaged from computer lockups, crashes, and power interuptions.

One file or all files may be selected. Other users should be out of the system.


ReptWiz

Report Wizard - Page 1

Page 1 of the Report Wizard allows the select of Computer Data, Peripherals or Software.

Page 2


Repwiz2

Report Wizard - Page 2

Page 2 of the Report Wizard allows further selection of report contents.

Page 3


repwiz3

Report Wizard - Page 3

Page 3 of the Report Wizard allows selecting a filter to limit the selects of data.

Instructions for setting Filter .

Page 4


Stonefield Query consists of the following files:

Creating a Filter

When you view records in a form or print a report, you frequently don’t want every available record displayed or printed. Selecting a subset of records to work with is called filtering.

A filter is made up of one or more conditions. A single condition compares a field to a value. For example, "Order Amount is greater than 100.00" is a condition that only allows those records with an order amount of more than $100.00 to be part of the subset.

How a field is compared to the value is called the operator. There are several operators available; they are shown in the table below. Some operators use more than one value; for example, is between requires two values (as in "Order Date is between 01/10/96 and 12/31/96"). Other operators don’t use any value; for example, "Zip code is blank" is either true or not without needing a value.

Operator | Description
equals | The data stored in the field must exactly match the value you specify. Example: LAST NAME equals JOHNS The resulting sub-set will be records that only have "Johns" as the last name. Records with "Johnston", "Johnson", and "Johnstone" will not be included.
does not equal | The data stored in the field may be anything but the value you specify. Example: CITY does not equal CALGARY
begins with | The data in the field will start with the value specified. Example: LAST NAME begins with JOHNS The resulting sub-set will be records that have "Johns", "Johnston", "Johnson", and "Johnstone" as the last name. This operator only appears for character and memo fields.
contains | The field has the specified value anywhere in the data it contains. Example: OUTLINE contains Federal Gov You will get all records with "Federal Gov" somewhere in the Outline field. This operator only appears for character and memo fields.
does not contain | The field does not have the specified value anywhere in the data it contains. Example: OUTLINE does not contain Federal Gov This operator only appears for character and memo fields.
is blank | Includes all records where the specific field is empty. Example: ZIPCODE is blank
is not blank | Includes records where the specific field contains data. Example: ZIPCODE is not blank
is greater than | The field contains a value in excess of the specified value. Example: AMOUNT is greater than 100 Example: CITY is greater than M
is greater than or equal | The field contains a value in excess of or equal to the specified value. Example: AMOUNT is greater than or equal to 100 Example: CITY is greater than or equal to M
is less than | The field contains a value under the specified value. Example: AMOUNT is less than 100 Example: CITY is less than M
is less than or equal | The field contains a value under or equal to the specified value. Example: AMOUNT less than or equal to 100 Example: CITY is less than or equal to M
is Yes | The field contains "Yes". Example: MARRIED is Yes This operator only appears for logical fields.
is No | The field contains "No". Example: MARRIED is No This operator only appears for logical fields.
is between | This operator allows the entry of a range of values. Example: AMOUNT is between 150 and 250 Example: DATE STARTED is between 05/01/94 and 12/31/94
is one of | This operator allows for entry of up to ten different values for a single field. The equivalent expression would be created using ten separate "equals" operations. Example: CITY is one of TOKYO, CALGARY, NEW YORK

Conditions are connected together with a connector. The connector can be either and or or. The and connector means that the two conditions it connects must both be true for a record to be included in the subset, while the or connector means that either one or both can be true for a record to be included in the subset.

You can think of and as "more restrictive". For example, if the first condition is "City equals San Francisco", that gives a certain subset of records. Adding a second condition such as "Order Amount is greater than 100.00" using the and connector means that for any given record, the city must be San Francisco and the order amount must be greater than $100.00. Since that excludes San Francisco records with an order amount of less than $100.00 (which just specifying the first condition would include), these two conditions together are more restrictive (there are fewer records in the subset) than either of these conditions alone.

You can think of or as "less restrictive". For example, if the first condition is "City equals San Francisco" and you add a second condition such as "City equals Los Angeles" using the or connector, this means that for any given record, the city can either be San Francisco or Los Angeles. These two conditions together are less restrictive than either of these conditions alone, since the subset includes the records matching both conditions.

Notice the use of "and" and "or" with filters can be the opposite of how these words are used in English. For example, someone might say "print out all of our customers from San Francisco and Los Angeles". You might think you’d use the and connector in this case, but in fact you’d use the or connector since you want records where the city is either San Francisco or Los Angeles. The way to think of it is this: for each record, check each condition. It’s not possible, for example, for the city for any one record to be both San Francisco and Los Angeles at the same time. It could be either one, however, so or is the correct connector to use.

The Filter Dialog

The filter dialog is displayed below. This dialog allows you to select which fields to filter on, select which comparison operators to use, and enter the comparison values. You may create a filter for a one-time situation or you may create and save it for future use.

The filter dialog has buttons that provide functions such as adding conditions, deleting conditions, etc. You can also choose these functions by right-clicking on the dialog and choosing the appropriate function from the menu (called a context menu) that appears.

Adding a Condition

To add a new condition to the filter, select the Add button. You can also press the Insert key or choose Add Condition from the context menu. If you don’t have any conditions in your filter yet, the Filter Condition dialog shown below will appear.

If you already have at least one condition in your filter, the Filter Condition dialog appears a little differently, as shown below.

The Connection combo box, which doesn’t appear if this is the first condition for your filter, is used to define how this condition is connected to the previous condition in your filter. The default connection is and, but you can also choose or or one of various combinations of and or or with parentheses to allow you to group your conditions and specify the order the conditions are evaluated. The system will automatically balance parentheses, so there is no need to worry about a starting or ending parenthesis.

The Field combo box shows all fields you can filter on from the primary table and any tables related to it (the related table name is shown as a disabled bar above its fields).

After selecting a field, you select a comparison operator from the Operator combo box. The options that appear in this combo box will depend on the type of field selected. For example, for logical fields, the only choices that appear are is Yes and is No.

Once you’ve selected an operator, you may enter a value to compare to the field. You will not be allowed to enter a value if you choose the is blank, is not blank, is Yes, or is No operators. If you chose the is between operator, you must enter two values. If you chose the is one of operator, you can enter up to ten different values (you must enter at least two). The OK button is disabled until you enter a value.

If you aren’t sure what values appear in the field or want to select a value without having to type it, choose the Value button. A list of unique value from the field will appear in a dialog box. You can choose a single value or multiple values; to select more than one value, hold down the Shift key as you click on the desired value. If you choose more than one value, the operator will automatically be changed to "is one of".

If you’ve selected a character or memo field, the Case Sensitive checkbox is enabled. If Case Sensitive is checked, only those records with the value in the same case (that is, upper and lower case characters) as you typed it will match. If it isn’t checked, case doesn’t matter; for example, entering "Jones" would match "Jones", "JONES", "JoNeS", or any other combination of case.

After you have completed entering the condition, press the OK button to save the condition and add it to the list. Choose Cancel to cancel the new condition.

Editing a Condition

To edit a condition, select it in the list and choose the Edit button, or press Enter or double-click on the condition. You can also choose Edit Condition from the context menu. The Filter Condition dialog will appear, and you may change any of the items that make up the condition. Click on the OK button to save any changes you made to the condition, or Cancel to cancel any changes.

Deleting a Condition

To delete a condition, select it in the list and choose the Delete button. You can also press the Delete key or choose Delete Condition from the context menu. The list will be adjusted as necessary.

Rearranging Conditions

A button with up and down arrows appears at the left edge of each condition in the list. You can click on this button and drag the selected condition up or down in the list. This is usually only important if you use parentheses to group conditions and wish to rearrange the grouping.

Counting Matching Records

The Count button displays the number of records matching your filter. You can also right-click and choose Count Records from the context menu.

Clearing the Filter

The Clear button deletes all conditions in the filter. You can also choose Clear Filter from the context menu.

Saving, Retrieving, and Deleting Filters

Because filters can be complicated, you can save and retrieve commonly used filters. A saved filter can also be used as the basis for a new, slightly different filter. If you retrieve a stored filter and make changes to it (perhaps adding a new condition or changing an existing condition), you may re-save it with the same or a different name.

Choosing the More >> button expands the filter dialog as shown below. Choosing this button again (which then appears as Less <<) restores the dialog to its former appearance.

The Store button is enabled when you have at least one condition defined for your filter. When you choose this button, or choose Store Filter from the context menu, a dialog will appear which allows you to enter a name for your filter. You might want to include your own name in the filter name so others can tell whose filter it is. A name like "Ron’s Filter - Jan/94" might be appropriate. You can also enter a more complete description of the filter if you wish. Type in the name and description and select the OK button. The name of the filter will appear below the Store button.

To retrieve a filter, press the Retrieve button or choose Retrieve Filter from the context menu. A list of stored filters will be presented. Select the one you wish to retrieve and press the OK button to load the saved filter. The name of the filter will appear below the Store button and the filter conditions will display in the list.

To delete a saved filter, press the Remove button. A list of saved filters is presented from which you can select the one to delete. Press OK to delete the selected filter.


RepWiz4

Report Wizard - Page 4

Page 4 of the Report Wizard allows you to select the sort order for the report.

Page 5


Repwiz5

Report Wizard - Page 5

Page 5 of the Report Wizard allows you to select the header and footer for the report. Note that the Header cannot be changed in the UnRegistered version of the software.

After the Header and Footer are completed, select Preview or Print.


Tags

Print Tags

Select source for tags, then select tags to skip, then print.


order

How to order

Select the Help Menu, then About. The following screen will appear:

Click on the Order Form button to print an order form.


Registration

Registration

To register your copy of I.S. Manager, enter the Name and Key Code supplied Exactly as Given to you!

You will be prompted to delete the sample files (if you wish).


Glossary

Glossary

2nd Parallel Port (Components) | A parallel port is normally used to connect a printer to your computer. In addition, many scanners and external drives connect to the parallel port. Up to two additional ports can be added to the standard single parallel port.
AGP (Bus) | The Advanced Graphics Port bus is used for Video Cards.
Application Server (Function) | An Application Server is a dedicated server running the Server part of a Client/Server application.
Brand | Brand name of the computer. Many computers are "IBM Clones" and have no brand.
Bus | The Bus is the method of connection between a component (or peripheral) and the "mother board" of the computer.
Camera (Peripheral) | A digital still or video cameral is among recent additions to many computer systems.
Case (Components) | All computers are assembled in a case. The inclusion as a component is optional.
CD-ROM (Components) | CD-ROM drives have become a standard part of today's computer.
CD-RW Drive (Components) | A recording CD drive allows the creation of CD's which can be used on other computers.
Communications Server (Function) | A Communications Server stands as an interface between network users and the Internet, or dial in users and network files.
Components | Components consist on the computer case and everything therein - mother board, power supply, processor, memory, video card, etc/
Cost | The cost contains the original cost of the computer, component, peripheral or software.
Cost to Date | The cost to date contains the sum of the original cost plus and repairs or upgrades.
Date Purchased | This is the date the item was purchased.
Description | General description of the item
DVD Drive (Components) | Any of the DVD Drives available.
External Drive (Peripheral) | External drives can include Zip and the like, and external hard disks and optical drives.
External Modem (Peripheral) | The modem connects the telephone to the computer. They are either internal or external.
File Server (Function) | A network file server serves as a central repository for all data used by all workstations on the network
Floppy Drive (Components) | The floppy drive is normally a 1.44MB 3 1/2 inch drive.
Function | This describes the normal use of the computer.
Hard Disk (Components) | The hard disk is the normal storage unit for all computer data and programs. It is not uncommon for a computer to have more than one hard disk.
Hub/Switch (Peripheral) | Hub and switches are used to connect all workstations and servers together.
Internal Modem (Components) | The modem connects the telephone to the computer. They are either internal or external.
ISA (Bus) | The Industry Standard Architecture bus dates back to the original IBM P.C. and is the standard among today's P.C.'s
Keyboard (Peripheral) | The keyboard is the main input device. It may be enhanced by a bar code scanning wand or pistol..
Last Cost Change | This date show the last purchase, repair or upgrade of the item.
Memory | Memory on video cards becomes important for 3D games, but also for powerful Windows 98 and NT systems.
Memory (RAM) (Components) | Random Access Memory serves as temporary storage for data and instructions as the computer performs its tasks.
Memory Per | Memory is measured by KiloBite(KB), MegaBite(MB), or GigaBite(GB).
Monitor (Peripheral) | Video Monitor
Mouse (Peripheral) | Any pointing device: ie. Mouse; trackball, tablet.
Multiport Card (Components) | Multiport cards are used in some network environments to allow multiple connections to an application server or communications server.
Needs Service (Status) | A computer needing service will show up in Red in the "Tree-view" display.
Network Interface Card (Components) | A Network Interface Card connects computers on the network to the cabling which connects the computers.
Networked | This checkbox, in computers and software, indicated the network status.
Obsolete (Status) | Obsolete computers are generally too slow for current operating systems.
OKAY - in use (Status) | This is the normal status for computers.
OKAY - Not Used (Status) | Computers not in use would have this status.
PCI (Bus) | The Peripheral Component Interface is present in Pentium class computers. Components with PCI Bus may include Video Cards, Network Interface Cards, Internal Modem, Sound Cards, etc.
Peripheral | A computer peripheral is a device attached to the computer. This includes the monitor, keyboard, mouse, printer, scanner, external modem, etc.
Plug & Play | Plug and Play is both a design philosophy and a set of personal computer architecture specifications with the goal of making the personal computer, add-in hardware devices, drivers, and the operating system work together automatically without user intervention. In order to achieve this goal, all the components must be Plug and Play. The components of a Plug and Play system include: - A Plug and Play operating system - A Plug and Play Basic Input Output System (BIOS) - Plug and Play hardware devices with drivers
Print Server (Function) | A print server may be a computer whose primary function is to manage print jobs to attached printers, or it may be a printer with built in networking.
Printer (Peripheral) | Printers are generally Laser printers, Ink Jet printers, or Dot Matrix printers. In addition, thermal printers and color wax printers are used.
Processor Speed | The speed of the processor is generally expressed in megahertz ie: 400Mhz.
Processor Type | Processor types from the Intel Corporation have evolved from 8086, 8088, 80286, 80386, 80486 to Pentium, Pentium II, and Pentium III. Now Intel Celleron processors, AMD P5 and P6, and processors from other manufacturers are found in the PC marketplace.
Purchased From | This is the supplier of the item.
Retired (Status) | Computers no longer used fit this category.
Router/Mux (Peripheral) | A Router or Mux connects networks together, often using T1 telephone lines.
Scanner (Peripheral) | A scanner allow you to import the image of letters, pictures, drawings, etc. into your computer.
SCSI (Bus) | The Small Computer System Interface consists of a SCSI card and SCSI devices attached to it. There are advantages of this bus, including speed and number of devices per card.
SCSI Card (Components) | The SCSI card manages the devises attached to it, allowing the computer to do other work.
Serial #, CD Key | Software generally has a serial number; many Microsoft products require the CD-Key for installation.
Software | Software include Operating Systems and Application Software.
Sound Card (Components) | A Sound Card sends audio signals to connected speakers.
Stand Alone (Function) | A Stand Alone computer is a computer which is not attached to any network.
Station | A Station may be a physical location or user name.
Tag | A Tag is a unique identification for components, peripherals and software. This software prints labels to attach to items to be tagged.
Tape Drive (Components) | A Tape Drive is used to back up data on a scheduled basis.
Time Clock (Peripheral) | Several manufacturers make time clock devices for employee timekeeping. Generally these attach to a computer by a serial cable.
UPC - Battery (Peripheral) | An Un-interuptable Power Supply is a battery which switches immediately when power fails. Some devices include software to shut down workstations and servers before the battery runs low.
USB (Bus) | The Universal Serial Bus is a relatively new bus. Devises can be plugged into this bus, and immediately be used by Windows.
Use for Parts | Computers which have no other use can be used as a supply for miscellaneous parts.
Value | The value is the current estimated or appraised value of the item.
Video Card (Components) | This video card manages the video signal from the operating system to the monitor. Refresh rate, and video memory are important factors for the user, in terms of clarity and video speed.
Workstation (Function) | A workstation is a computer set up for a user within the network.